Name: jakarta-commons-beanutils 
Version: 1.7.0
Release: alt0.M24.1

Summary: Jakarta Commons BeanUtils Package
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

Url: http://jakarta.apache.org/commons/beanutils/
Source0: http://www.apache.org/dist/jakarta/commons/beanutils/source/commons-beanutils-%version-src.tar.gz
Source1: jakarta-commons-beanutils-build.properties 

BuildPreReq: /proc
BuildPreReq: rpm-build-java
BuildPreReq: j2se1.4-sun-devel ant jakarta-commons-collections >= 3.0
BuildPreReq: jakarta-commons-logging
BuildPreReq: junit

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 jakarta-commons-collections jakarta-commons-logging

%description
The scope of this package is to create a package of Java utility methods
for accessing and modifying the properties of arbitrary JavaBeans.  No
dependencies outside of the JDK are required, so the use of this package
is very lightweight.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-beanutils-%version-src
%__cp %SOURCE1 build.properties
%__cp %SOURCE1 optional/bean-collections/build.properties

%build
%__ant dist test

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir/%name
%__mkdir_p %buildroot%_docdir/%name-%version

%__mv dist/commons-beanutils.jar %buildroot%_javadir/%name.jar
%__mv dist/*.txt %buildroot%_docdir/%name-%version
%__mv dist/docs/* %buildroot%_javadocdir/%name

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Fri Apr 22 2005 Alexey Borovskoy <alb@altlinux.ru> 1.7.0-alt0.M24.1
- Backport to Master 2.4
- Fallback to stable version

* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.7.1-alt0.1
- 1.7.1 from cvs 20050321
- rpm-build-java macroces

* Fri Sep 10 2004 Vladimir Lettiev <crux@altlinux.ru> 1.7.0-alt1
- 1.7.0
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.6.1-4jpp
- update for JPackage 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6.1-2jpp
- fix ASF license and add packager name

* Wed Feb 19 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6.1-1jpp
- 1.6.1

* Thu Feb 13 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6-1jpp
- 1.6

* Thu Oct 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-1jpp
- 1.5

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4.1-1jpp
- 1.4.1

* Tue Aug 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4-1jpp
- 1.4

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-3jpp
- change to commons-xxx.jar instead of commons-xxx.home in ant parameters

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-1jpp 
- 1.3
- added short names in %{_javadir}, as does jakarta developpers
- first jPackage release
